### Copyright (C) 2006-2009 Antonio Valentino <a_valentino@users.sf.net>

### This file is part of BESTGUI.

### BESTGUI is free software; you can redistribute it and/or modify
### it under the terms of the GNU General Public License as published by
### the Free Software Foundation; either version 2 of the License, or
### (at your option) any later version.

### BESTGUI is distributed in the hope that it will be useful,
### but WITHOUT ANY WARRANTY; without even the implied warranty of
### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
### GNU General Public License for more details.

### You should have received a copy of the GNU General Public License
### along with BESTGUI; if not, write to the Free Software
### Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA.

'''BESTGUI errors and exceptions.'''

__author__  = 'Antonio Valentino <a_valentino@users.sf.net>'
__date__    = '$Date: 2009-01-03 12:54:43 +0100 (sab, 03 gen 2009) $'
__version__ = '$Revision: 700 $'

class BestGUIException(Exception):
    '''Common base class for BESTGUI exceptions.'''
    def __init__(self, *args, **kwargs):
        Exception.__init__(self, *args, **kwargs)

class BestEnvError(BestGUIException):
    '''Invalid environment for BEST.'''
    def __init__(self, *args, **kwargs):
        BestGUIException.__init__(self, *args, **kwargs)

class MissingParameterError(BestGUIException):
    '''Mandatory parameter missing.'''
    def __init__(self, *args, **kwargs):
        BestGUIException.__init__(self, *args, **kwargs)

class InvalidParameterError(BestGUIException):
    '''Invalid parameter.'''
    def __init__(self, *args, **kwargs):
        BestGUIException.__init__(self, *args, **kwargs)
